CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
CoinExternalVectorFirstGreater_2< S, T, V > Class Template Reference

Function operator. More...

`#include <CoinSort.hpp>`

Collaboration diagram for CoinExternalVectorFirstGreater_2< S, T, V >:
[legend]

## Public Member Functions
bool | operator() (const CoinPair< S, T > &t1, const CoinPair< S, T > &t2) const
| CoinExternalVectorFirstGreater_2 (const V *v)

## Private Member Functions
| CoinExternalVectorFirstGreater_2 ()

## Private Attributes
const V * | vec_

## Detailed Description

### template<class S, class T, class V>
class CoinExternalVectorFirstGreater_2< S, T, V >

Function operator.

Compare based on the entries of an external vector, i.e., returns true if vec[t1.first > vect2.first. Note that to use this comparison operator .first must be a data type automatically convertible to int.

Definition at line 120 of file CoinSort.hpp.

## Constructor & Destructor Documentation

template<class S , class T , class V >

CoinExternalVectorFirstGreater_2< S, T, V >::CoinExternalVectorFirstGreater_2 | ( |  | ) |
| private

template<class S , class T , class V >

CoinExternalVectorFirstGreater_2< S, T, V >::CoinExternalVectorFirstGreater_2 | ( | const V * | v | ) |
| inline

Definition at line 129 of file CoinSort.hpp.

## Member Function Documentation

template<class S , class T , class V >

bool CoinExternalVectorFirstGreater_2< S, T, V >::operator() | ( | const CoinPair< S, T > & | t1,
|  | const CoinPair< S, T > & | t2
| ) |  | const
| inline

Definition at line 126 of file CoinSort.hpp.

## Member Data Documentation

template<class S , class T , class V >

const V* CoinExternalVectorFirstGreater_2< S, T, V >::vec_
| private

Definition at line 124 of file CoinSort.hpp.

The documentation for this class was generated from the following file:

- /tmp/CoinUtils-2.10.15/CoinUtils/src/CoinSort.hpp